package com.example.profesor;

import java.util.Scanner;
import java.util.Vector;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class Encuesta extends Activity {
	String titulo;
	Intent i, j;
	Button boton;
	int Acierto = 50;  // porcentajes
	int Fallo = 50;    // porcentajes
	int aula;
	
	int pregunta_en_curso;
	ServidorPHP servidor = new ServidorPHP("http://www.milagros.hostinazo.com");  //Hostinazo
	//ServidorPHP servidor = new ServidorPHP("http://158.42.53.29");
	//  String servidor = "http://158.42.53.29";   // En la UPV
	//  String servidor = "http://192.168.1.150:8080";   // En mi casa
    BaseDatos db;
    Fichero  fe;
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.encuesta);

		
		Bundle extras = getIntent().getExtras();
		titulo = extras.getString("titulo");

		TextView enc = (TextView) findViewById(R.id.textView1); // Dato del
																// titulo
		enc.setText(titulo);

		enc = (TextView) findViewById(R.id.textView2); // Dato del titulo
		enc.setText(" pregunta 1");
		pregunta_en_curso++;
		
		db = new BaseDatos(this,"encuesta");
		CambiarAula();
        servidor.inicializa(aula); 


		boton = (Button) findViewById(R.id.button1);
		
		
		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				// Tiene que incrementar en uno la pregunta
				TextView t = (TextView) findViewById(R.id.textView2);
				
				pregunta_en_curso++;
				//String nueva_preg = String.format(" pregunta %i ", pregunta_en_curso);
				String nueva_preg = "pregunta " + pregunta_en_curso;
				t.setText(nueva_preg);
				servidor.EnvioMensajeServidorBorrar();  // Inicializcion de la BD en servidor
			}
		});

		boton = (Button) findViewById(R.id.button2);
		
		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				servidor.EnvioMensajeServidorBorrar();  // Inicializacion de la BD en servidor
				String pregunta = "pregunta " + pregunta_en_curso;
		        db.Borrar(pregunta_en_curso);
			}
		});
		

		
		boton = (Button) findViewById(R.id.button3);
		i = new Intent(this, Grafica.class);
			

		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				Vector<String> result ;
				result = servidor.EnvioMensajeServidorListar();  // Envio msg listar al servidor
			    
				i.putExtra("titulo", "Pregunta " + pregunta_en_curso);
				i.putExtra("numero", String.format("%d", pregunta_en_curso));
			    
			   // Scanner S = new Scanner(result.toString());
			    Scanner S = new Scanner(result.get(0));
			    	

			    String A = S.next();

			    
				i.putExtra("A", A);
				
				if (S.hasNext()) {
			         A = S.next();					 
				     i.putExtra("B", A);
				} else i.putExtra("B", "0");
				
				if (S.hasNext()) {
			         A = S.next();
				     i.putExtra("C", A);
				} else i.putExtra("C", "0");
				
				if (S.hasNext()) {
			         A = S.next();
				     i.putExtra("D", A);
				} else i.putExtra("D", "0");
				
				//startActivity(i);  // As se lanza sin esperar respuesta
				startActivityForResult(i, 1234); // Espera que conteste aciertos/Fallos
			}
		});
		
		boton = (Button) findViewById(R.id.button4);
		j = new Intent(this, Resultados.class);
		boton.setFocusable(false);


		fe = new Fichero("Prueba_v0.txt");
		
		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				String valor;
//				Vector<String> v;				
				//  Generar un informa del resultados, en mem. externa
//                v = db.LeerEntera();
//                fe.Escribir(v, titulo);
                
				//  Mostrar un grfico de aciertos/fallos
                String pregunta = "Resultados de la pregunta " + pregunta_en_curso;
				j.putExtra("titulo", pregunta);
				valor = String.format("%d", Acierto);
				j.putExtra("Aciertos", valor);
				valor = String.format("%d", Fallo);
				j.putExtra("Fallos", valor);
			
				startActivity(j); 
			}
		});
	}

	@Override
	protected void onPause() {
		super.onPause();

	}

	@Override
	protected void onResume() {
		super.onResume();

	}

	@Override
	protected void onDestroy() {
        servidor.EnvioMensajeServidorBorrar();
        servidor.EnvioMensajeServidorAnular();
		super.onDestroy();
		
	}
	
	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		super.onActivityResult(requestCode, resultCode, data);
		
		if (requestCode == 1234 && resultCode == RESULT_OK && data != null) {
				int A = data.getExtras().getInt("Aciertos");
			    int F =  data.getExtras().getInt("Fallos");
				boton.setFocusable(true);
			    
			    float total = (float) (A + F);
			    float AAcierto = (float) A/total*100;
			    

			    Acierto = (int) AAcierto;
			    Fallo  = 100 - Acierto;
			    

		}
	}
	
	void CambiarAula() {
		SharedPreferences pref = getSharedPreferences(
				"com.example.profesor_preferences", Context.MODE_PRIVATE);

		String password = pref.getString("Password", "0");

		aula = Integer.parseInt(password);

		Log.e("Password", password);
	}
	
}
