package com.example.profesor;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Vector;

import android.util.Log;

public class ServidorPHP {
	String servidor;
	URL url_borrar; 
	URL url_listar;
	URL url_reservar;
	URL url_anular;
	
	public ServidorPHP(){
		servidor   = "http://192.168.1.150:8080";
		try {
		url_borrar = new URL(servidor + "/votos/borrar.php?aula=0");
		url_listar = new URL(servidor + "/votos/listar.php?aula=0");
		url_reservar = new URL(servidor + "/votos/reserva.php?aula=0");	
		url_anular = new URL(servidor + "/votos/anula.php?aula=0");	
		} catch (Exception e) {
			Log.e("Servidor", e.getMessage(), e);
		}
	}
	
	public ServidorPHP(String s){
		servidor   = new String(s);
		try {
		url_borrar = new URL(servidor + "/votos/borrar.php?aula=0");
		url_listar = new URL(servidor + "/votos/listar.php?aula=0");
		url_reservar = new URL(servidor + "/votos/reserva.php?aula=0");	
		url_anular = new URL(servidor + "/votos/anula.php?aula=0");	
		} catch (Exception e) {
			Log.e("Servidor", e.getMessage(), e);
		}
	}
	
	public void inicializa(int aula){
		Log.e("Inicializo", servidor + "/votos/reserva.php?aula="+aula);
		try {
		url_borrar = new URL(servidor + "/votos/borrar.php?aula="+aula);
		url_listar = new URL(servidor + "/votos/listar.php?aula="+aula);
		url_reservar = new URL(servidor + "/votos/reserva.php?aula="+aula);	
		url_anular = new URL(servidor + "/votos/anula.php?aula="+aula);	
		} catch (Exception e) {
			Log.e("Servidor", e.getMessage(), e);
		}
	}
	String VerNombre(){
		return servidor;
	}
	
	public void EnvioMensajeServidorBorrar(){
		
		EnvioMensajeServidorPHP(url_borrar);
	}
	
	public void EnvioMensajeServidorAnular(){
		
		EnvioMensajeServidorPHP(url_anular);
	}
	
	public boolean EnvioMensajeServidorReservar(){
		
		try {
			Log.e(" Reserva ", "Empieza la reserva");
			HttpURLConnection conexion = (HttpURLConnection) url_reservar.openConnection();
			
		   BufferedReader reader = new BufferedReader(
		    new InputStreamReader(conexion.getInputStream()));

				String linea = reader.readLine();
				//Log.e("Reserva",linea);
				int i = Integer.parseInt(linea);
				reader.close();
				if ( i > 0 ) return true;
				else return false;
			
		} catch (Exception e) {
			Log.e("Servidor", e.getMessage(), e);
			return false;
		}
	}
	
	private void EnvioMensajeServidorPHP(URL url){
		
		try {
			HttpURLConnection conexion = (HttpURLConnection) url.openConnection();
			if (conexion.getResponseCode() != HttpURLConnection.HTTP_OK) {
				Log.e("Servidor", conexion.getResponseMessage());
			}
		} catch (Exception e) {
			Log.e("Servidor", e.getMessage(), e);
		}
		
	}


public Vector<String> EnvioMensajeServidorListar() {
	Vector<String> result = new Vector<String>();
	try {
		
		HttpURLConnection conexion = (HttpURLConnection) url_listar.openConnection();
		if (conexion.getResponseCode() == HttpURLConnection.HTTP_OK) {
			
			BufferedReader reader = new BufferedReader(
					new InputStreamReader(conexion.getInputStream()));
			String linea = reader.readLine();
			result.add(linea);
			//  El servidor envia basura tras mi mensaje, lo obvio
//			boolean fin = linea.equals("");
//			while (!fin) {
//				result.add(linea);
//				linea = reader.readLine();
//				Log.e("Leo", linea);
//				if (linea != null) fin = linea.equals("");
//				else fin = true;
//			}
			reader.close();
			return result;
		} else {
			Log.e("Servidor Listar: no ok", conexion.getResponseMessage());
			return result;
		}
	} catch (Exception e) {
		Log.e("Servidor Listar ", e.getMessage(), e);
		return result;
	}
}
}
