package com.example.profesor;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Typeface;
import android.graphics.Paint.Style;
import android.graphics.Path.Direction;
import android.graphics.drawable.ShapeDrawable;
import android.util.AttributeSet;
import android.view.View;

	public class DiagramaAciertos extends View {
		
		public int Acierto = 50;
		public int Fallo = 50;
		
		int Alto = 0;
		int Ancho = 0;
		int holgura = 0;
		int distancia = 0;
		int anchob= 50; // Es la anchura en dp de una barra
		
		
	    public DiagramaAciertos (Context context, AttributeSet attrs) {
	                super(context,attrs);
	                              
	             
	    }
	    
	    @Override protected void onSizeChanged(int ancho, int alto,
	                       int ancho_anterior, int alto_anterior){
	                //miImagen.setBounds(0, 0, ancho, alto);
	                Alto = alto;
	                Ancho = ancho;
	                anchob = Ancho / 4;
	                holgura = (Ancho - 2*anchob)/3;
	                distancia = holgura + anchob;
	    }
	    
	            
	    @Override
	     protected void onDraw(Canvas canvas) {
	
            int x1 = holgura;
	    	Barra(canvas,Acierto, x1, Color.RED); // valor y eje x 
	    	BarraPuntos(canvas, 100, x1, Color.BLACK);
	    	String leyenda = String.format("Aciertos %d ", Acierto);
	    	leyenda = leyenda + " %";
	    	Letra(canvas,leyenda, x1, Alto);
	    	
	    	
	    	x1 += distancia;
	    	Barra(canvas,Fallo, x1,Color.CYAN); // valor y eje x
	    	BarraPuntos(canvas, 100, x1, Color.BLACK);
	    	
	    	leyenda = String.format("Fallos %d ", Fallo);
	    	leyenda = leyenda + " %";
	    	Letra(canvas,leyenda, x1, Alto);
	    	
		    }
	    protected void BarraPuntos(Canvas canvas, int valor, int desp, int c){
	    	int color;
	    	int coordX, coordY;
	    	
	    	int MaxY = Alto -40;
	    	
	    	coordX = desp;
	    	coordY = (int ) (MaxY * (100 - valor) / 100);
	    	Paint pincel = new Paint();
	    	pincel.setColor(c);
	    
	    	
	    	pincel.setStrokeWidth(6);
	    	pincel.setStyle(Style.STROKE);
	     	  	
	    	canvas.drawRect((float) coordX, (float) coordY, (float) (coordX+anchob), (float)MaxY, pincel); 
	    	
	    }    
	    protected void Barra(Canvas canvas, int valor, int desp, int c){
	    	int color;
	    	int coordX, coordY;
	    	
	    	int MaxY = Alto -40;
	    	
	    	coordX = desp;
	    	coordY = (int ) (MaxY * (100 - valor) / 100);
	    	Paint pincel = new Paint();
	    	pincel.setColor(c);
	    
	    	
	    	pincel.setStrokeWidth(6);
	    	pincel.setStyle(Style.FILL);
	     	  	
	    	canvas.drawRect((float) coordX, (float) coordY, (float) (coordX+anchob), (float)MaxY, pincel); 
	    	
	    }
	    protected void Letra(Canvas canvas, String texto, int dx, int dy){
		
			
			Paint pincel = new Paint();
			pincel.setColor(Color.BLUE);
			pincel.setStrokeWidth(8);
			//pincel.setStyle(Style.STROKE);
			
			pincel.setStrokeWidth(1);
			pincel.setStyle(Style.FILL);
			pincel.setTextSize(25);
			pincel.setTypeface(Typeface.SANS_SERIF);
			
     	   	canvas.drawText(texto, dx, dy,  pincel); 

		    }
		    
		    
		    
	   
	}
