package com.example.profesor;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;



public class Grafica extends Activity {
  int A, B, C, D;
  DiagramaBarras dBarras;
  BaseDatos db;
  String pregunta;
  int pregunta_en_curso;
  
	@Override
	public void onCreate(Bundle savedInstanceState) {
		String cadena;
		
		super.onCreate(savedInstanceState);
		setContentView(R.layout.grafica);
		
		// Base de datos
		db = new BaseDatos(this,"encuesta");
		
		// Leyendo los resultados de la encuesta
		//   y mostrndolos en el layout
		Bundle extras = getIntent().getExtras();
		pregunta = extras.getString("titulo");
		

		
		cadena = extras.getString("numero");
        pregunta_en_curso = Integer.parseInt(cadena);
		// Ahora los valores 
		 
		cadena = extras.getString("A");
		A = Integer.parseInt(cadena);
		
//		enc = (TextView) findViewById(R.id.text1); // Resultado A													
//		enc.setText(cadena);
		
		cadena = extras.getString("B");
		B = Integer.parseInt(cadena);	


//		enc = (TextView) findViewById(R.id.text2); // Resultado B													
//		enc.setText(cadena);

		cadena = extras.getString("C");
		C = Integer.parseInt(cadena);	
//		enc = (TextView) findViewById(R.id.text3); // Resultado C													
//		enc.setText(cadena);
		
		cadena = extras.getString("D");
		D = Integer.parseInt(cadena);
//		enc = (TextView) findViewById(R.id.text4); // Resultado D													
//		enc.setText(cadena);
		
		dBarras = (DiagramaBarras) findViewById(R.id.diagramaBarras1);
		int total = A + B + C + D;
		TextView enc = (TextView) findViewById(R.id.titulo_pregunta); // Resultado A	
		pregunta = pregunta + "      (" + total + " votos)";
		enc.setText(pregunta);
		
//		String salida = String.format(" %d %d %d %d ", A, B, C, D);
//		Log.e("Grafica", salida);
		
		float AA = (float) A/total*100;
		float BB = (float) B/total*100;
		float CC = (float) C/total*100;
		float DD = (float) D/total*100;
		
		dBarras.Inicializa((int) AA, (int) BB, (int) CC, (int) DD);
//		
//		salida = String.format(" %d %d %d %d ", (int)AA, (int)BB, (int)CC, (int)DD);
//		Log.e("Grafica", salida);
		
		Button boton = (Button) findViewById(R.id.buttonA);
		
		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {

				Guarda(0,pregunta_en_curso, A, B, C, D);
		
			}
		});

		boton = (Button) findViewById(R.id.buttonB);
		
		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {

				Guarda(1, pregunta_en_curso,A, B, C, D);
		
			}
		});	
		boton = (Button) findViewById(R.id.buttonC);
		
		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {

				Guarda(2,pregunta_en_curso, A, B, C, D);
		
			}
		});	
		boton = (Button) findViewById(R.id.buttonD);
		
		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {

				Guarda(3, pregunta_en_curso,A, B, C, D);
		
			}
		});	
		
		boton = (Button) findViewById(R.id.botonCancelar);
		
		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {

				 finish();
		
			}
		});	
	}

	@Override
	protected void onPause() {
		super.onPause();

	}

	@Override
	protected void onResume() {
		super.onResume();

	}

	@Override
	protected void onDestroy() {

		super.onDestroy();
	}
	
	void Guarda (int opcion, int p, int A, int B, int C, int D){
		int acierto, fallo;
		switch (opcion) {
		case 0:  //  Opcin correcta es la A
			acierto = A;
			fallo = B+C+D;

			break;
		case 1:  //  Opcin correcta es la B
			acierto = B;
			fallo = A+C+D;
			break;
		case 2:  //  Opcin correcta es la C
			acierto = C;
			fallo = B+A+D;
			break;
		case 3:  //  Opcin correcta es la D
			acierto = D;
			fallo = B+C+A;
			break;
		default:
			acierto = 0;
			fallo = A+B+C+D;
		}
		
		db.Escribir(pregunta, p, A, B, C, D, opcion);
		salir(acierto, fallo);
		
	}
	
	// Procedimiento que permite responder a la actividad que la llam
	private void salir(int acierto, int fallo) {
	       Bundle bundle = new Bundle();
	       bundle.putInt("Aciertos", acierto);
	       bundle.putInt("Fallos", fallo);
	       Intent intent = new Intent();
	       intent.putExtras(bundle);
	       setResult(Activity.RESULT_OK, intent);
	       finish();
	}
	
}
